VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::privilege::OperationInfo Class Reference

The `OperationInfo` class contains privilege information of an operation element. More...

List of all members.

## Public Member Functions
| OperationInfo ()
| Creates a default new instance.
global::System.Collections.Generic.List < string > | GetPrivileges ()
| List of all privileges assigned to the operation element.
void | SetPrivileges (global::System.Collections.Generic.List< string > privileges)
| List of all privileges assigned to the operation element.
global::System.Collections.Generic.List < vmware.vapi.metadata.privilege.PrivilegeInfo > | GetPrivilegeInfo ()
| Privilege information of all the parameter elements of the operation element.
void | SetPrivilegeInfo (global::System.Collections.Generic.List< vmware.vapi.metadata.privilege.PrivilegeInfo > privilegeInfo)
| Privilege information of all the parameter elements of the operation element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `OperationInfo` class contains privilege information of an operation element.

For an explanation of containment within operation elements, see service.Operation .

## Constructor & Destructor Documentation

vmware::vapi::metadata::privilege::OperationInfo::OperationInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::privilege::OperationInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::privilege::OperationInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::privilege::OperationInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::privilege::OperationInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::privilege::OperationInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::privilege::OperationInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::metadata::privilege::OperationInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vapi.metadata.privilege.PrivilegeInfo> vmware::vapi::metadata::privilege::OperationInfo::GetPrivilegeInfo | ( |  | ) | `[inline]`

Privilege information of all the parameter elements of the operation element.

For an explanation of containment of privilege information within parameter elements, see PrivilegeInfo .

global::System.Collections.Generic.List<string> vmware::vapi::metadata::privilege::OperationInfo::GetPrivileges | ( |  | ) | `[inline]`

List of all privileges assigned to the operation element.

void vmware::vapi::metadata::privilege::OperationInfo::SetPrivilegeInfo | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.privilege.PrivilegeInfo > | privilegeInfo | ) | `[inline]`

Privilege information of all the parameter elements of the operation element.

For an explanation of containment of privilege information within parameter elements, see PrivilegeInfo .

void vmware::vapi::metadata::privilege::OperationInfo::SetPrivileges | ( | global::System.Collections.Generic.List< string > | privileges | ) | `[inline]`

List of all privileges assigned to the operation element.

override string vmware::vapi::metadata::privilege::OperationInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- privilege/OperationInfo.cs